Package com.sap.ai.sdk.grounding.model

# Class PipelineExecutionData

java.lang.Object
com.sap.ai.sdk.grounding.model.PipelineExecutionData

public class PipelineExecutionData extends Object
PipelineExecutionData

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PipelineExecutionData()`
  Default constructor for PipelineExecutionData.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PipelineExecutionData`
  `create()`
  Create a new `PipelineExecutionData` instance.
  `PipelineExecutionData`
  `createdAt(String createdAt)`
  Set the createdAt of this `PipelineExecutionData` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCreatedAt()`
  Get createdAt
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `PipelineExecutionData`.
  `String`
  `getId()`
  Get id
  `String`
  `getModifiedAt()`
  Get modifiedAt
  `PipelineExecutionStatus`
  `getStatus()`
  Get status
  `int`
  `hashCode()`
  `PipelineExecutionData`
  `id(String id)`
  Set the id of this `PipelineExecutionData` instance and return the same instance.
  `PipelineExecutionData`
  `modifiedAt(String modifiedAt)`
  Set the modifiedAt of this `PipelineExecutionData` instance and return the same instance.
  `void`
  `setCreatedAt(String createdAt)`
  Set the createdAt of this `PipelineExecutionData` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `PipelineExecutionData` instance.
  `void`
  `setId(String id)`
  Set the id of this `PipelineExecutionData` instance.
  `void`
  `setModifiedAt(String modifiedAt)`
  Set the modifiedAt of this `PipelineExecutionData` instance.
  `void`
  `setStatus(PipelineExecutionStatus status)`
  Set the status of this `PipelineExecutionData` instance.
  `PipelineExecutionData`
  `status(PipelineExecutionStatus status)`
  Set the status of this `PipelineExecutionData` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `PipelineExecutionData` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PipelineExecutionData

    protected PipelineExecutionData()
    Default constructor for PipelineExecutionData.

- ## Method Details

  - ### id

    @Nonnull public PipelineExecutionData id(@Nullable String id)
    Set the id of this `PipelineExecutionData` instance and return the same instance.
    Parameters:
      `id` - The id of this `PipelineExecutionData`
    Returns:
      The same instance of this `PipelineExecutionData` class

  - ### getId

    @Nonnull public String getId()
    Get id
    Returns:
      id The id of this `PipelineExecutionData` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `PipelineExecutionData` instance.
    Parameters:
      `id` - The id of this `PipelineExecutionData`

  - ### status

    @Nonnull public PipelineExecutionData status(@Nullable PipelineExecutionStatus status)
    Set the status of this `PipelineExecutionData` instance and return the same instance.
    Parameters:
      `status` - The status of this `PipelineExecutionData`
    Returns:
      The same instance of this `PipelineExecutionData` class

  - ### getStatus

    @Nullable public PipelineExecutionStatus getStatus()
    Get status
    Returns:
      status The status of this `PipelineExecutionData` instance.

  - ### setStatus

    public void setStatus(@Nullable PipelineExecutionStatus status)
    Set the status of this `PipelineExecutionData` instance.
    Parameters:
      `status` - The status of this `PipelineExecutionData`

  - ### createdAt

    @Nonnull public PipelineExecutionData createdAt(@Nullable String createdAt)
    Set the createdAt of this `PipelineExecutionData` instance and return the same instance.
    Parameters:
      `createdAt` - The createdAt of this `PipelineExecutionData`
    Returns:
      The same instance of this `PipelineExecutionData` class

  - ### getCreatedAt

    @Nullable public String getCreatedAt()
    Get createdAt
    Returns:
      createdAt The createdAt of this `PipelineExecutionData` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nullable String createdAt)
    Set the createdAt of this `PipelineExecutionData` instance.
    Parameters:
      `createdAt` - The createdAt of this `PipelineExecutionData`

  - ### modifiedAt

    @Nonnull public PipelineExecutionData modifiedAt(@Nullable String modifiedAt)
    Set the modifiedAt of this `PipelineExecutionData` instance and return the same instance.
    Parameters:
      `modifiedAt` - The modifiedAt of this `PipelineExecutionData`
    Returns:
      The same instance of this `PipelineExecutionData` class

  - ### getModifiedAt

    @Nullable public String getModifiedAt()
    Get modifiedAt
    Returns:
      modifiedAt The modifiedAt of this `PipelineExecutionData` instance.

  - ### setModifiedAt

    public void setModifiedAt(@Nullable String modifiedAt)
    Set the modifiedAt of this `PipelineExecutionData` instance.
    Parameters:
      `modifiedAt` - The modifiedAt of this `PipelineExecutionData`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `PipelineExecutionData`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `PipelineExecutionData` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `PipelineExecutionData` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `PipelineExecutionData` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static PipelineExecutionData create()
    Create a new `PipelineExecutionData` instance. No arguments are required.